Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.core
Class GuiIfc.OsmImportParams

    java.lang.Object
      org.ka2ddo.yaac.core.GuiIfc.OsmImportParams

Enclosing interface:
  GuiIfc

    public static class GuiIfc.OsmImportParams

extends java.lang.Object

Data structure of parameters needed for the OpenStreetMap import operation. Intended to be returned by the method for displaying the user query dialog.

See Also:
  `GuiIfc.displayOsmImportDialog(java.io.File)`

Field Summary
`double` | `eastLon` Eastern-most boundary of the axis-aligned box to import.
`double` | `northLat` Northern-most boundary of the axis-aligned box to import.
`java.io.File` | `selectedFile` java.io.File pointing at the bzipped XML file containing the OSM snapshot data.
`double` | `southLat` Southern-most boundary of the axis-aligned box to import.
`boolean` | `useFixMe` Boolean true indicates that Nodes and Ways tagged with the FIXME attribute should still be imported, otherwise they will be discarded during the import.
`double` | `westLon` Western-most boundary of the axis-aligned box to import.

Constructor Summary
`GuiIfc.OsmImportParams(java.io.File selectedFile, boolean useFixMe, double northLat, double southLat, double westLon, double eastLon)` Constructor for OsmImportParams.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### selectedFile

    public java.io.File selectedFile

  java.io.File pointing at the bzipped XML file containing the OSM snapshot data.

### useFixMe

    public boolean useFixMe

  Boolean true indicates that Nodes and Ways tagged with the FIXME attribute should still be imported, otherwise they will be discarded during the import.

### northLat

    public double northLat

  Northern-most boundary of the axis-aligned box to import.

### southLat

    public double southLat

  Southern-most boundary of the axis-aligned box to import.

### westLon

    public double westLon

  Western-most boundary of the axis-aligned box to import.

### eastLon

    public double eastLon

  Eastern-most boundary of the axis-aligned box to import.

Constructor Detail

### GuiIfc.OsmImportParams

    public GuiIfc.OsmImportParams(java.io.File selectedFile,
                                  boolean useFixMe,
                                  double northLat,
                                  double southLat,
                                  double westLon,
                                  double eastLon)

  Constructor for OsmImportParams.

  Parameters:
    `selectedFile` - java.io.File pointing at the bzipped XML file containing the OSM snapshot data.
    `useFixMe` - Boolean true indicates that Nodes and Ways tagged with the FIXME attribute should still be imported, otherwise they will be discarded during the import.
    `northLat` - Northern-most boundary of the axis-aligned box to import.
    `southLat` - Southern-most boundary of the axis-aligned box to import.
    `westLon` - Western-most boundary of the axis-aligned box to import.
    `eastLon` - Eastern-most boundary of the axis-aligned box to import.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD